Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 300216 - dev-util/xxdiff removal request (was: doesn't support unicode)
Summary: dev-util/xxdiff removal request (was: doesn't support unicode)
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL: http://amjith.blogspot.com/2007/07/vi...
Whiteboard:
Keywords:
Depends on:
Blocks: 283429
  Show dependency tree
 
Reported: 2010-01-08 20:16 UTC by Samuli Suominen
Modified: 2011-02-17 16:29 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2010-01-08 20:16:32 UTC
xxdiff is abandoned upstream, and it doesn't have unicode support

it's pretty much been replaced by kdiff3 or meld, here's a nice post about more replacements, 

http://amjith.blogspot.com/2007/07/visual-diff-tools-in-linux.html
Comment 1 Samuli Suominen gentoo-dev 2010-01-08 20:16:59 UTC
and last but not least, bug 283429
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-01-09 18:03:54 UTC
# Jeremy Olexa <darkside@gentoo.org> (09 Jan 2009)
# Doesn't support unicode, dead upstream, qt3. Removed in 60 days. See bug
# 300216 for replacement options.
dev-util/xxdiff
Comment 3 Marcello Magaldi 2010-01-09 21:01:48 UTC
(In reply to comment #2)
> # Jeremy Olexa <darkside@gentoo.org> (09 Jan 2009)
> # Doesn't support unicode, dead upstream, qt3. Removed in 60 days. See bug
> # 300216 for replacement options.
> dev-util/xxdiff
> 

you should also consider to mask or remove kde use flag in app-portage/cfg-update-1.8.2-r1 since it includes xxdiff as dependency
Comment 4 Samuli Suominen gentoo-dev 2010-01-09 21:44:43 UTC
(In reply to comment #3)
> you should also consider to mask or remove kde use flag in
> app-portage/cfg-update-1.8.2-r1 since it includes xxdiff as dependency

Done.  KDE support should be with kompare or kdiff3...
Comment 5 Samuli Suominen gentoo-dev 2010-01-09 21:50:59 UTC
In fact, if you look at cfg-update sources there IS some support for kdiff3 and kompare.  The USE flag only pulled in xxdiff, I guess that's from KDE3 legacy.
Comment 6 Harald van Dijk (RETIRED) gentoo-dev 2010-01-10 10:27:54 UTC
For cfg-update, older versions depended on || ( xxdiff kdiff3 ), I had dropped the kdiff3 dep at Stephan's request (the maintainer) but it should still work without a problem, so I can add that back in.
Comment 7 Buggy B. 2011-02-17 09:04:34 UTC
(In reply to comment #0)
> xxdiff is abandoned upstream, and it doesn't have unicode support
> 
> it's pretty much been replaced by kdiff3 or meld, here's a nice post about more
> replacements, 
> 
> http://amjith.blogspot.com/2007/07/visual-diff-tools-in-linux.html
> 
You are absolutely wrong, because:

1. All releases of xxdiff:
 4.0b1 (21 Nov 2010 11:42)
Version 4.0b1: A complete Qt4 port (which works on the Mac) has been done by Alexandre Feblot.

2, Most part of sources and configuration files need no any unicoode, ANSI is OK!

So, there was no any reasons to remove it from the tree and masking was enough! For sure, somebody works on changing old ebuild to the new one, according "Qt4-based ebuild howto", from sources 4.0b1 builds fine and works..

PS: Right now I can't find ant sources of the old dev-util/xxdiff-3.2-r1.ebuld (x11-libs/qt:3) to start changing it to the new dev-util/xxdiff-4.0-b1 (qt4), FTF! ((;
Comment 8 Samuli Suominen gentoo-dev 2011-02-17 16:29:04 UTC
(In reply to comment #7)
> You are absolutely wrong, because:

This is more than a year old bug.   xxdiff was dead at the time, and was removed.  there is no qt3 in portage either anymore, so it had to go.

That said, there is nothing stopping from readding xxdiff as a new package like any other new package.   File a new request bug.

And the old ebuilds are always kept in CVS Attic:

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-util/xxdiff/?hideattic=0